Package ru.bitel.bgbilling.modules.voice.server.bean

# Class VoiceDeviceDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.common.dao.AbstarctDaoConstant
ru.bitel.common.dao.AbstractDao<VoiceDevice>
ru.bitel.common.dao.AbstractIdDao<VoiceDevice>
ru.bitel.oss.kernel.entity.server.bean.AbstractEntityAttrDao<VoiceDevice>
ru.bitel.oss.kernel.entity.server.bean.AbstractEntityDao<VoiceDevice>
ru.bitel.oss.systems.inventory.resource.server.bean.DeviceDao<VoiceDevice,VoiceDeviceType>
ru.bitel.bgbilling.modules.voice.server.bean.VoiceDeviceDao

All Implemented Interfaces:
  `AutoCloseable`

public class VoiceDeviceDao extends DeviceDao<VoiceDevice,VoiceDeviceType>
Даошка для работы с устройствами на уровне базы данных: добавление, изменение, удаление.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.oss.kernel.entity.server.bean.AbstractEntityAttrDao

  `AbstractEntityAttrDao.AddressItemModifiedEventListener`

  ## Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

  `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

- ## Field Summary

  ### Fields inherited from class ru.bitel.oss.systems.inventory.resource.server.bean.DeviceDao

  `TABLE_INV_DEVICE_GROUP_LINK`

  ### Fields inherited from class ru.bitel.oss.kernel.entity.server.bean.AbstractEntityAttrDao

  `CONTRACT_OBJECT_SUPPORT, CONTRACT_SUPPORT, ENTITY_SUPPORT, entitySpecAttrDirectory, entitySpecDirectory, entityTableSuffix, filterWeightComparator, userId`

  ### Fields inherited from class ru.bitel.common.dao.AbstractDao

  `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, moduleId, orderByPattern, tableName`

  ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `ERROR, fields, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VoiceDeviceDao(Connection con, int moduleId)`
  `VoiceDeviceDao(Connection con, int moduleId, int userId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected VoiceDevice`
  `getFromRSImpl(ResultSet rs)`
  `protected String`
  `getQueryById()`
  `protected Directory<VoiceDeviceType>`
  `getTypeDir()`
  `protected List<String>`
  `getValues()`
  `List<VoiceDevice>`
  `list()`
  `List<VoiceDevice>`
  `listNas()`
  `List<VoiceDevice>`
  `listSource()`
  `protected VoiceDevice`
  `newDevice()`
  `protected VoiceDeviceType`
  `newDeviceType(int id, String title)`
  `protected int`
  `setExtraParams(VoiceDevice device, PreparedStatement ps, int idx)`
  `protected void`
  `updateImpl(VoiceDevice voiceDevice)`

  ### Methods inherited from class ru.bitel.oss.systems.inventory.resource.server.bean.DeviceDao

  `deleteImpl, getFromRS, getTreeFromList, list, list, listByType, listByUptimeTime, move, node, node, root, root, updateUptime`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.server.bean.AbstractEntityDao

  `delete, getFromRS, getFromRS, linkEntity, list, list, listImpl, unlinkEntity, update`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.server.bean.AbstractEntityAttrDao

  `checkEntityAttribute, checkEntitySpecAttrDelete, deleteEntityAttribute, deleteEntityAttributes, filterInit, filterJoin, filterToPS, getAllEntityAttributes, getAttribute, getEntityAttribute, getEntityAttributes, getEntityAttributes, getEntitySpecAttrDirectory, getEntitySpecDirectory, getEntityTableName, getEntityTableSuffix, getEntityValueForIds, listImpl, onAddressItemUpdate, optEntityAttribute, updateEntityAttribute, updateEntityAttributes`

  ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

  `executeUpdate, get, getAndDelete, getAndUpdate, opt`

  ### Methods inherited from class ru.bitel.common.dao.AbstractDao

  `close, delete, dropTemporaryTable, eq, get, getById, getImpl, getListFromRS, getPeriod, getSQLOrder, getTableName, list, listImpl, listImplPS, listImplPS, loadData, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, processException, setPageRecordCount, setStatementParam`

  ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `getSQLOrder, psSetDate, psSetInt, psSetString, queryAndIn`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### VoiceDeviceDao

    public VoiceDeviceDao(Connection con, int moduleId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### VoiceDeviceDao

    public VoiceDeviceDao(Connection con, int moduleId, int userId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

- ## Method Details

  - ### newDevice

    protected VoiceDevice newDevice()
    Specified by:
      `newDevice` in class `DeviceDao<VoiceDevice,VoiceDeviceType>`

  - ### newDeviceType

    protected VoiceDeviceType newDeviceType(int id, String title)
    Specified by:
      `newDeviceType` in class `DeviceDao<VoiceDevice,VoiceDeviceType>`

  - ### getTypeDir

    protected Directory<VoiceDeviceType> getTypeDir() throws ru.bitel.bgbilling.common.BGException
    Specified by:
      `getTypeDir` in class `DeviceDao<VoiceDevice,VoiceDeviceType>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### list

    public List<VoiceDevice> list() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getFromRSImpl

    protected VoiceDevice getFromRSImpl(ResultSet rs) throws SQLException, ru.bitel.bgbilling.common.BGException
    Overrides:
      `getFromRSImpl` in class `DeviceDao<VoiceDevice,VoiceDeviceType>`
    Throws:
      `SQLException`
      `ru.bitel.bgbilling.common.BGException`

  - ### getValues

    protected List<String> getValues()
    Overrides:
      `getValues` in class `DeviceDao<VoiceDevice,VoiceDeviceType>`

  - ### setExtraParams

    protected int setExtraParams(VoiceDevice device, PreparedStatement ps, int idx) throws SQLException
    Overrides:
      `setExtraParams` in class `DeviceDao<VoiceDevice,VoiceDeviceType>`
    Throws:
      `SQLException`

  - ### getQueryById

    protected String getQueryById()
    Overrides:
      `getQueryById` in class `ru.bitel.common.dao.AbstractDao<VoiceDevice>`

  - ### updateImpl

    protected void updateImpl(VoiceDevice voiceDevice) throws ru.bitel.bgbilling.common.BGException, SQLException
    Overrides:
      `updateImpl` in class `DeviceDao<VoiceDevice,VoiceDeviceType>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### listSource

    public List<VoiceDevice> listSource() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### listNas

    public List<VoiceDevice> listNas() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`